-- ROLLOUT FLOATER SCRIPT
rollout r_command_rollout "Command Rollout"
(
	-- *** DECLARATIONS ***************************************************
	local btn_size = 25		
	
	-- *** USER INTERFACE ITEMS *******************************************
	-- Pline 	
	button btn_pline "Pline" \
		images:#("draw1.bmp",undefined,16,4,4,4,4) \
		tooltip:"Pline" width:btn_size height:btn_size\
		across:13

	-- Mline 	
	button btn_mline "Mline" \
		images:#("draw1.bmp",undefined,16,3,3,3,3) \
			tooltip:"Mline" width:btn_size height:btn_size
	
	-- Circle
	button btn_circle\
		images:#("draw1.bmp",undefined,16,8,8,8,8) \
		tooltip:"Circle" width:btn_size height:btn_size
		
	-- Array
	button btn_array\
		images:#("modify1.bmp",undefined,16,5,5,5,5) \
		tooltip:"Array" width:btn_size height:btn_size
			
	-- Copy 
	button btn_copy "Copy" \
		images:#("modify1.bmp",undefined,16,2,2,2,2) \
		tooltip:"Copy Object" width:btn_size height:btn_size 
		
		
	-- Move 
	button btn_move "Move" \
		images:#("Modify1.bmp",undefined,16,6,6,6,6) \
		tooltip:"Move" width:btn_size height:btn_size
		
	-- Offset 	
	button btn_offset "Offset" \
		images:#("Modify1.bmp",undefined,16,4,4,4,4) \
		tooltip:"Offset" width:btn_size height:btn_size	
		
	-- Mirror 	
	button btn_mirror "Mirror" \
		images:#("Modify1.bmp",undefined,16,3,3,3,3) \
		tooltip:"Mirror" width:btn_size height:btn_size
	
	-- Rotate 	
	button btn_rotate "Rotate" \
		images:#("Modify1.bmp",undefined,16,7,7,7,7) \
		tooltip:"Rotate" width:btn_size height:btn_size
	
	-- Scale 	
	button btn_scale "Scale" \
		images:#("Modify1.bmp",undefined,16,8,8,8,8) \
		tooltip:"Scale" width:btn_size height:btn_size

	-- Trim 	
	button btn_trim "Trim" \
		images:#("Modify1.bmp",undefined,16,11,11,11,11) \
		tooltip:"Trim" width:btn_size height:btn_size
		
	-- Extend 	
	button btn_extend "Extend" \
		images:#("Modify1.bmp",undefined,16,12,12,12,12) \
		tooltip:"Extend" width:btn_size height:btn_size
			
	-- Distance 
	button btn_distance\
		images:#("inquiry1.bmp",undefined,3,1,1,1,1) \
		tooltip:"Distance" width:btn_size height:btn_size
	
		
	-- EVENT HANDLERS **********************************************
		
    on btn_copy pressed do
	(
		try(_copy())
		catch(clearlistener() ; format "OK\n")
	)

	on btn_move pressed do
	(
		try(_move())
		catch(clearlistener() ; format "OK\n")
	)

	on btn_offset pressed do
	(
		try(_offset())
		catch(clearlistener() ; format "OK\n" )
	)

	on btn_rotate pressed do
	(
		try(_rotate())
		catch(clearlistener() ; format "OK\n")
	)
	
	on btn_scale pressed do 
	(
		try(_scale())
		catch(clearlistener() ; format "OK\n")
	)
	
	on btn_mirror pressed do 
	(
		try(_mirror())
		catch(clearlistener() ; format "OK\n")
	)
	
	on btn_trim pressed do
	(
		try(_trim())
		catch(clearlistener() ; format "OK\n" )
	)

	on btn_extend pressed do
	(
		try(_extend())
		catch(clearlistener() ; format "OK\n" )
	)

	on btn_pline pressed do
	(
		try (_pline())
		catch(clearlistener() ; format "OK\n")
	)
		
	on btn_mline pressed do
	(
		try( _mline())
		catch(clearlistener() ; format "OK\n")
	)
	
	on btn_array pressed do 
	(
		try (_array())
		catch(clearlistener() ; format "OK\n")
	)

	on btn_circle pressed do 
	(
		try (_circle())
		catch(clearlistener() ; format "OK\n")
	)
	
	on btn_distance pressed do
	(
		try( _dist())
		catch(clearlistener() ; format "OK\n")
	)

	on r_command_rollout close do (
		try (acadcom.btn_float_acad.checked = false) catch()
	)
)