-- DISTANCE FUNCTION ****************************************

fn _dist = 
(
	--  LOCAL DECLARATIONS
	local pt1, pt2
	local dist_val
	local disp
	
	ClearListener()
	EscapeEnable = false
	max select none

	-- PROMPT FOR FIRST POINT
	pt1 = pickpoint prompt:"First point:" snap:#3D
		
	if (ClassOf pt1!= Point3) do
	(
		EscapeEnable = true
		setListenerSel #(-1,-1)
		return (format "\n*Cancel*\nOK\n")
	)
	format "\n"
 
 	-- PROMPT FOR SECOND POINT
	pt2 = pickpoint prompt:"Second point:" rubberband:pt1 snap:#3D
		
	if (ClassOf pt2 != Point3) do
	(
		EscapeEnable = true
		setListenerSel #(-1,-1)
		return (format "\n*Cancel*\nOK\n")
	)
	format "\n"

	-- CALCULATE LENGTH AND COMPONENTS OF VECTOR
	local disp = (pt2-pt1)
	local dist_val = length(pointConditioner testpt:(disp ) tolerance:0.00005)
		
		
	format "Distance = %\n" dist_val
	format "Delta X = %, Delta Y = %, Delta Z = %\n" disp.x disp.y disp.z

	EscapeEnable = true
	max views redraw
	setListenerSel #(-1,-1)
	format "OK\n"
)
